Tirex::Backend(3pm)

NAME
Tirex::Backend - Generic Tirex rendering backend

SYNOPSIS
 use Tirex::Backend::Test;
 my $backend = Tirex::Backend::Test->new();
 $backend->main();

DESCRIPTION
This is a parent class for rendering backends written in Perl. To use it create a subclass (such as Tirex::Backend::Test).

METHODS

  Tirex::Backend->new($name)
This class should not be instantiated. Create instances of a subclass instead.

  $backend->check_map_config($map)
Check a map config for this backend for syntactic and other validity. Should croak if it fails.

Overwrite this in the subclass.

  $backend->set_status('text')
Set status text which is shown on the ps output.

  $backend->main()
Core backend method. Call this directly after creating a subclass with new(). It will parse the config file(s), set everything up and then wait for rendering requests and fulfill them by calling create_metatile().

  $backend->create_metatile($map, $metatile)
Create a metatile.

This method has to be overwritten in subclasses.

  $backend->write_metatile($image, $filename, $metatile)
Takes a single image the size of a metatile, cuts it into tiles and then re-assembles those tiles into a metatile and write it to disk.

  $backend->create_error_image($map, $metatile)
Create an error image in case a renderer didn't work. The error image is a black/yellow checkerboard pattern.

This method can be overwritten in subclasses.